# Installation
> `npm install --save @types/react-lazyload`

# Summary
This package contains type definitions for react-lazyload (https://github.com/jasonslyvia/react-lazyload).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-lazyload.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-lazyload/index.d.ts)
````ts
import { Component, CSSProperties, ReactNode } from "react";

export interface LazyLoadProps {
    once?: boolean | undefined;
    height?: number | string | undefined;
    offset?: number | number[] | undefined;
    overflow?: boolean | undefined;
    resize?: boolean | undefined;
    scroll?: boolean | undefined;
    children?: ReactNode | undefined;
    throttle?: number | boolean | undefined;
    debounce?: number | boolean | undefined;
    placeholder?: ReactNode | undefined;
    scrollContainer?: string | Element | undefined;
    unmountIfInvisible?: boolean | undefined;
    preventLoading?: boolean | undefined;
    className?: string | undefined;
    classNamePrefix?: string | undefined;
    style?: CSSProperties | undefined;
}

export default class LazyLoad extends Component<LazyLoadProps> {
    constructor(props: LazyLoad);
}

export function lazyload(option: {}): LazyLoad;

export function forceCheck(): void;

export function forceVisible(): void;

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 09:09:39 GMT
 * Dependencies: [@types/react](https://npmjs.com/package/@types/react)

# Credits
These definitions were written by [m0a](https://github.com/m0a), and [svobik7](https://github.com/svobik7).
